Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.decorator
Class FontHighlighter

    java.lang.Object
      org.jdesktop.swingx.decorator.AbstractHighlighter
          org.jdesktop.swingx.decorator.FontHighlighter

All Implemented Interfaces:
  Highlighter

    public class FontHighlighter

extends AbstractHighlighter

A Highlighter which sets the Font of the component.

Author:
  Karl George Schaefer

Field Summary

Fields inherited from class org.jdesktop.swingx.decorator.AbstractHighlighter
`listenerList`

Constructor Summary
`FontHighlighter()` Instantiates a FontHighlighter with null Font.
`FontHighlighter(java.awt.Font font)` Instantiates a FontHighlighter with the given Font.
`FontHighlighter(HighlightPredicate predicate)` Instantiates a FontHighlighter with the given HighlightPredicate and null Font.
`FontHighlighter(HighlightPredicate predicate, java.awt.Font font)` Instantiates a FontHighlighter with the given Font and HighlightPredicate.

Method Summary
`protected boolean` | `canHighlight(java.awt.Component component, ComponentAdapter adapter)` Subclasses may override to further limit the highlighting based on Highlighter state, f.i.
`protected java.awt.Component` | `doHighlight(java.awt.Component component, ComponentAdapter adapter)` Apply the highlights.
`java.awt.Font` | `getFont()` Returns the Font used for decoration.
`void` | `setFont(java.awt.Font font)` Sets the Font used for decoration.

Methods inherited from class org.jdesktop.swingx.decorator.AbstractHighlighter
`addChangeListener, areEqual, fireStateChanged, getChangeListeners, getHighlightPredicate, highlight, removeChangeListener, setHighlightPredicate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontHighlighter

    public FontHighlighter()

  Instantiates a FontHighlighter with null Font. The Highlighter is applied always.

### FontHighlighter

    public FontHighlighter(java.awt.Font font)

  Instantiates a FontHighlighter with the given Font. The Highlighter is applied always.

  Parameters:
    `font` - the Font to apply

### FontHighlighter

    public FontHighlighter(HighlightPredicate predicate)

  Instantiates a FontHighlighter with the given HighlightPredicate and null Font.

  Parameters:
    `predicate` - the HighlightPredicate to use, may be null to default to ALWAYS.

### FontHighlighter

    public FontHighlighter(HighlightPredicate predicate,
                           java.awt.Font font)

  Instantiates a FontHighlighter with the given Font and HighlightPredicate.

  Parameters:
    `predicate` - the HighlightPredicate to use, may be null to default to ALWAYS.
    `font` - the Font to apply, may be null

Method Detail

### getFont

    public java.awt.Font getFont()

  Returns the Font used for decoration.

  Returns:
    the Font used for decoration
  See Also:
    `setFont(Font)`

### setFont

    public void setFont(java.awt.Font font)

  Sets the Font used for decoration. May be null to not decorate.

  Parameters:
    `font` - the Font used for decoration, may be null to not decorate.
  See Also:
    `getFont()`

### canHighlight

    protected boolean canHighlight(java.awt.Component component,
                                   ComponentAdapter adapter)

  Subclasses may override to further limit the highlighting based on Highlighter state, f.i. a PainterHighlighter can only be applied to PainterAware components.

  This implementation returns true always.

  Implemented to return false if the font property is null.

  Overrides:
    `canHighlight` in class `AbstractHighlighter`
  Returns:
    a boolean indication if the adapter can be highlighted based general state. This implementation returns true always.

### doHighlight

    protected java.awt.Component doHighlight(java.awt.Component component,
                                             ComponentAdapter adapter)

  Apply the highlights.

  Implemented to set the component's Font.

  Specified by:
    `doHighlight` in class `AbstractHighlighter`
  Parameters:
    `component` - the cell renderer component that is to be decorated
    `adapter` - the ComponentAdapter for this decorate operation
  See Also:
    `AbstractHighlighter.highlight(Component, ComponentAdapter)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.